#property copyright ""
#property link      ""
#property version   "1.00"



//+------------------------------------------------------------------+
//| Include files                                                    |
//+------------------------------------------------------------------+
#include "exampleFlickingDlg.mqh"

//+------------------------------------------------------------------+
//| Global variables                                                 |
//+------------------------------------------------------------------+
exampleFlickingDlg ExtDialog;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+

int OnInit()
{
  //--- creating the application dialog
  if( !ExtDialog.Create( 0, "FlickDemo", 1, 0, 20, 118, 70))
    return( -1);
  
  //ExtDialog.Move()
  //--- starting the application
  if( !ExtDialog.Run())
    return( -2);

  //--- creating the timer
  EventSetTimer(1);
   
  //--- success
  return( INIT_SUCCEEDED);
}

//+------------------------------------------------------------------+
//| Deinitialization                                                 |
//+------------------------------------------------------------------+
void OnDeinit( const int reason)
{
  //--- destroying the dialog
  ExtDialog.Destroy();
  
  //--- killing the timer
  EventKillTimer();
}
  
void OnTick()
{
  ExtDialog.UpdateDataTick();
}

//+------------------------------------------------------------------+
//| Timer function                                                   |
//+------------------------------------------------------------------+
void OnTimer()
{
  ExtDialog.UpdateDataTimer();
}

//+------------------------------------------------------------------+
//| ChartEvent function                                              |
//+------------------------------------------------------------------+
void OnChartEvent(const int id,
                  const long &lparam,
                  const double &dparam,
                  const string &sparam)
{
  //--- handling the event
  ExtDialog.ChartEvent( id, lparam, dparam, sparam);
}

//+------------------------------------------------------------------+
